import { BaseModel } from '../../frame/BaseModel';
import { Column, Entity } from 'typeorm';
@Entity('dictType', { comment: '字典目录表' })
export class DictType extends BaseModel {
  @Column({ type: 'varchar', comment: '字典类型名称' })
  title: string;
  @Column({ type: 'varchar', nullable: true, comment: '字典编码' })
  code: string;
  @Column({ type: 'varchar', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'int', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'varchar', default: '0', nullable: true, comment: '是否使用:0:使用;1禁用' })
  is_use: string;
}