import { IMiddleware, NextFunction, MidwayWebRouterService } from '@midwayjs/core';
import { JwtService } from '@midwayjs/jwt';
import { Context } from '@midwayjs/koa';
export declare class CheckTokenMiddleware implements IMiddleware<Context, NextFunction> {
    useCheckTokenMiddleware: boolean;
    passTokenList: Array<string>;
    tokenKey: string;
    globalPrefix: string;
    webRouterService: MidwayWebRouterService;
    jwtService: JwtService;
    /** 获取tokenKey,检查header中的token是否存在,并解析出来,放到user中 */
    analysisToken(ctx: Context): Promise<any>;
    /** 排除全局前缀的路由路径 */
    excludePrefixPath(ctx: Context): Promise<string>;
    resolve(): (ctx: Context, next: NextFunction) => Promise<void>;
}
