import { Context } from '@midwayjs/koa';
import { Controller, Inject, Post } from '@midwayjs/core';
import { InitService } from '../../service/frame/Init.service';
import { RF } from '../../response/CustomerResponse';
@Controller('/init')
export class InitController {
  @Inject()
  ctx: Context;

  @Inject()
  service: InitService;

  @Post('/')
  async index() {
    return RF.success();
  }
}
