import { BaseService } from '../../frame/BaseService';
import { MenusService } from './menus.service';
import { Repository } from 'typeorm';
import { Menus } from '../../entity/system/menus.entity';
import { Role } from '../../entity/system/role.entity';
export declare class RoleService extends BaseService {
    model: Repository<Role>;
    menusModel: Repository<Menus>;
    menusService: MenusService;
    isSuperAdmin(): boolean;
    getUserMenus(needCode?: boolean): Promise<any>;
    /**
     * 根据角色id数组,整理菜单
     * @param roleIdList 角色id数组
     */
    getMenuByRoles(roleIdList: any): Promise<Menus[]>;
}
